## fpga-manager-xlnx 2022.1ubuntu1

=== Makefile ===
prefix = /usr

all: fpgautil

fpgautil: fpgautil.c
	@echo "CFLAGS=$(CFLAGS)" | \
		fold -s -w 70 | \
		sed -e 's/^/# /'
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDCFLAGS) -o $@ $^

install: fpgautil
	install -D fpgautil \
		$(DESTDIR)$(prefix)/sbin/fpgautil

clean:
	-rm -f fpgautil

distclean: clean

uninstall:
	-rm -f $(DESTDIR)$(prefix)/sbin/fpgautil

.PHONY: all install clean distclean uninstall

## fpga-manager-xlnx 2020.2ubuntu2~20.04

=== debian/changelog ===
fpga-manager-xlnx (2020.2ubuntu2~20.04) focal; urgency=medium

  * SRU to focal (LP: #1929834)

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Fri, 28 May 2021 10:18:09 +0200

fpga-manager-xlnx (2020.2ubuntu1) focal; urgency=medium

  * Rename source and binary packages to fpga-manager-xlnx, so it is
    clear they are Xilinx specific.

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Thu, 18 Mar 2021 16:06:44 +0100

fpga-manager (2020.2) focal; urgency=medium

  * Initial release from rel-v2020.2 branch, commit f2de397. Path is
    https://github.com/Xilinx/meta-xilinx-tools/blob/rel-v2020.2/
    recipes-bsp/fpga-manager-script/files/fpgautil.c

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Tue, 05 Jan 2021 10:40:24 +0100

=== debian/control ===
Source: fpga-manager-xlnx
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.5.0

Package: fpga-manager-xlnx
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Xilinx FPGA manager
 Simple command line tool to load fpga via overlay or through sysfs interface
 and read fpga configuration using Xilinx Zynq/ZynqMP fpga manager

## fpga-manager-xlnx 2020.2ubuntu2

=== debian/changelog ===
fpga-manager-xlnx (2020.2ubuntu2) hirsute; urgency=medium

  * No change rebuild

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Tue, 23 Mar 2021 15:32:15 +0100

## fpga-manager-xlnx 2022.1ubuntu1~22.04~xlnx1

=== debian/changelog ===
fpga-manager-xlnx (2022.1ubuntu1~22.04~xlnx1) jammy; urgency=medium

  * Backport to jammy Xilinx PPA.

 -- Loïc Minier <loic.minier@ubuntu.com>  Tue, 14 Jun 2022 01:46:34 +0000

fpga-manager-xlnx (2022.1ubuntu1) kinetic; urgency=medium

  * Update to 2022.1.

 -- Loïc Minier <loic.minier@ubuntu.com>  Tue, 14 Jun 2022 01:44:25 +0000

## fpga-manager-xlnx 2022.1ubuntu2

=== debian/changelog ===
fpga-manager-xlnx (2022.1ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Dec 2025 20:59:06 +0000
